Marketplace
List your model prices
List the model rates your organization has published. Only your own rates are returned, never another organization’s. Filters combine, and paging is by limit and an opaque cursor carried in the page of the previous response.
GET
/
v1
/
marketplace
/
models
List your model prices
curl --request GET \
--url https://pricing.baselinehq.cloud/v1/marketplace/models \
--header 'X-API-Key: <api-key>'import requests
url = "https://pricing.baselinehq.cloud/v1/marketplace/models"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://pricing.baselinehq.cloud/v1/marketplace/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pricing.baselinehq.cloud/v1/marketplace/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://pricing.baselinehq.cloud/v1/marketplace/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://pricing.baselinehq.cloud/v1/marketplace/models")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://pricing.baselinehq.cloud/v1/marketplace/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"context_limit": 123,
"currency": "<string>",
"effective_from": "<string>",
"effective_to": "<string>",
"fetched_at": "<string>",
"host": "<string>",
"id": "<string>",
"modalities_input": [
"<string>"
],
"modalities_output": [
"<string>"
],
"model": "<string>",
"model_id": "<string>",
"open_weights": true,
"output_limit": 123,
"provider": "<string>",
"publisher": "<string>",
"raw_pricing_data": {},
"reasoning": true,
"region": "<string>",
"sku_price_id": "<string>",
"source": "<string>",
"source_url": "<string>",
"structured_output": true,
"tags": {},
"token_bucket": "input",
"tool_call": true,
"unit_price_per_mtok": 123
}
],
"page": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Authorizations
ApiKeyAuthBearerAuth
Query Parameters
Was this page helpful?
⌘I
List your model prices
curl --request GET \
--url https://pricing.baselinehq.cloud/v1/marketplace/models \
--header 'X-API-Key: <api-key>'import requests
url = "https://pricing.baselinehq.cloud/v1/marketplace/models"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://pricing.baselinehq.cloud/v1/marketplace/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pricing.baselinehq.cloud/v1/marketplace/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://pricing.baselinehq.cloud/v1/marketplace/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://pricing.baselinehq.cloud/v1/marketplace/models")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://pricing.baselinehq.cloud/v1/marketplace/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"context_limit": 123,
"currency": "<string>",
"effective_from": "<string>",
"effective_to": "<string>",
"fetched_at": "<string>",
"host": "<string>",
"id": "<string>",
"modalities_input": [
"<string>"
],
"modalities_output": [
"<string>"
],
"model": "<string>",
"model_id": "<string>",
"open_weights": true,
"output_limit": 123,
"provider": "<string>",
"publisher": "<string>",
"raw_pricing_data": {},
"reasoning": true,
"region": "<string>",
"sku_price_id": "<string>",
"source": "<string>",
"source_url": "<string>",
"structured_output": true,
"tags": {},
"token_bucket": "input",
"tool_call": true,
"unit_price_per_mtok": 123
}
],
"page": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"affected": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>"
}
],
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}